Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1888874 - hover message are not shown for some properties
Summary: hover message are not shown for some properties
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-16 02:15 UTC by Yadan Pei
Modified: 2021-02-24 15:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Incorrect code Consequence: Unable to view hint text for some YAML properties Fix: Yes Result: Working as expected.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:26:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7279 0 None closed Bug 1888874: Update yaml language server to 0.13.0 to allow for better support for hovering 2020-11-26 23:06:27 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:53 UTC

Description Yadan Pei 2020-10-16 02:15:38 UTC
Description of problem:
When hovering some properties, we didn't always show a hint message

Version-Release number of selected component (if applicable):
4.6.0-0.ci.test-2020-10-16-011808-ci-ln-ywvhbm2

How reproducible:
Always

Steps to Reproduce:
1. Launch a testing cluster with cluster-bot, login to console after cluster is ready
launch https://github.com/openshift/console/pull/6483 aws
2.View resources YAML such as deployment/console YAML content in openshift-console project
3. Hover some properties: spec.selector, spec.replicas, spec.template, 

Actual results:
3. When hover spec.selector we can see hint message explaining selector. However I didn't see hint message when hovering spec.replicas, spec.template, also some other properties also doesn't have hover help message

Expected results:


Additional info:

Comment 1 Aurélien Pupier 2020-10-21 09:29:59 UTC
unassigning the issue from me as I have no plan to work on it and it is really not in the core of my competencies so would take longer than OpenShift Developer Console developer or Yaml Language Server developer.

Comment 2 Aurélien Pupier 2020-10-21 09:31:47 UTC
note: the issue is not specific to the mentioned RP, it was already there with previous versions https://github.com/openshift/console/pull/6483#issuecomment-713314312

Comment 3 Jakub Hadvig 2020-10-23 13:25:30 UTC
Did not have time to work on this issue.

Comment 4 Cyril 2020-11-05 20:06:12 UTC
@Sam, it seems this is an API issue. Can we close it, or do we need to reassign to other component?

Comment 5 Samuel Padgett 2020-11-05 20:11:26 UTC
Cyril, we probably need help from the dev tools team that maintains the YAML language server. Let's reach out to them.

Comment 7 Josh Pinkney 2020-11-09 16:16:31 UTC
I've tracked down the source of the bug and opened a PR on the yaml language server side: https://github.com/redhat-developer/yaml-language-server/pull/347. Once we create a new release that includes those changes I'll update the yaml-language-server version on the console side

Comment 9 Yadan Pei 2020-11-23 05:59:50 UTC
1. Add resource YAML and view fields such as spec.replicas, spec.template, fields in spec.template
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-deployment
  labels:
    app: nginx
spec:
  replicas: 3
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx:1.14.2
        ports:
        - containerPort: 80
Now all fields have shown hover message, verified on 4.7.0-0.nightly-2020-11-22-123106

Comment 12 errata-xmlrpc 2021-02-24 15:26:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.